import { Description } from "./Description";
import { ColumnDescription } from "./ColumnDescription";
import { SectionHeaderDescription } from "./SectionHeaderDescription";
import { RowSeparatorDescription } from "./RowSeparatorDescription";
import { HeaderSeparatorDescription } from "./HeaderSeparatorDescription";
import { ColumnResizingSeparatorDescription } from "./ColumnResizingSeparatorDescription";
import { ColumnMovingSeparatorDescription } from "./ColumnMovingSeparatorDescription";
import { GridAnimationSettingsDescription } from "./GridAnimationSettingsDescription";
import { GridCellPositionDescription } from "./GridCellPositionDescription";
import { Type } from "./type";
/**
 * @hidden
 */
export declare class LiveGridDescription extends Description {
    static $t: Type;
    private g;
    get columns(): ColumnDescription[];
    set columns(a: ColumnDescription[]);
    private cv;
    get width(): string;
    set width(a: string);
    private cc;
    get height(): string;
    set height(a: string);
    private be;
    get background(): string;
    set background(a: string);
    protected get_type(): string;
    get type(): string;
    constructor();
    private bx;
    get columnResizingMode(): string;
    set columnResizingMode(a: string);
    private bt;
    get columnMovingMode(): string;
    set columnMovingMode(a: string);
    private z;
    get sectionHeader(): SectionHeaderDescription;
    set sectionHeader(a: SectionHeaderDescription);
    private x;
    get rowSeparator(): RowSeparatorDescription;
    set rowSeparator(a: RowSeparatorDescription);
    private v;
    get headerSeparator(): HeaderSeparatorDescription;
    set headerSeparator(a: HeaderSeparatorDescription);
    private p;
    get columnResizingSeparator(): ColumnResizingSeparatorDescription;
    set columnResizingSeparator(a: ColumnResizingSeparatorDescription);
    private n;
    get columnMovingSeparator(): ColumnMovingSeparatorDescription;
    set columnMovingSeparator(a: ColumnMovingSeparatorDescription);
    private h;
    get dataSourceDesiredProperties(): string[];
    set dataSourceDesiredProperties(a: string[]);
    private a4;
    get rowHeight(): number;
    set rowHeight(a: number);
    private at;
    get defaultColumnMinWidth(): number;
    set defaultColumnMinWidth(a: number);
    private a2;
    get headerHeight(): number;
    set headerHeight(a: number);
    private b1;
    get dataSourceRef(): string;
    set dataSourceRef(a: string);
    private b7;
    get headerClickAction(): string;
    set headerClickAction(a: string);
    private ab;
    get autoGenerateColumns(): boolean;
    set autoGenerateColumns(a: boolean);
    private a5;
    get rowSeparatorHeight(): number;
    set rowSeparatorHeight(a: number);
    private ag;
    get isPlaceholderRenderingEnabled(): boolean;
    set isPlaceholderRenderingEnabled(a: boolean);
    private bp;
    get columnAddingAnimationMode(): string;
    set columnAddingAnimationMode(a: string);
    private bv;
    get columnPropertyUpdatingAnimationMode(): string;
    set columnPropertyUpdatingAnimationMode(a: string);
    private bh;
    get cellDataLoadedAnimationMode(): string;
    set cellDataLoadedAnimationMode(a: string);
    private cf;
    get rowSelectionAnimationMode(): string;
    set rowSelectionAnimationMode(a: string);
    private bn;
    get cellSelectionAnimationMode(): string;
    set cellSelectionAnimationMode(a: string);
    private r;
    get animationSettings(): GridAnimationSettingsDescription;
    set animationSettings(a: GridAnimationSettingsDescription);
    private bw;
    get columnResizingAnimationMode(): string;
    set columnResizingAnimationMode(a: string);
    private b0;
    get columnShowingAnimationMode(): string;
    set columnShowingAnimationMode(a: string);
    private bs;
    get columnMovingAnimationMode(): string;
    set columnMovingAnimationMode(a: string);
    private br;
    get columnHidingAnimationMode(): string;
    set columnHidingAnimationMode(a: string);
    private bq;
    get columnExchangingAnimationMode(): string;
    set columnExchangingAnimationMode(a: string);
    private cs;
    get selectionMode(): string;
    set selectionMode(a: string);
    private bc;
    get activationMode(): string;
    set activationMode(a: string);
    private cr;
    get selectionBehavior(): string;
    set selectionBehavior(a: string);
    private ac;
    get isFilterUIEnabled(): boolean;
    set isFilterUIEnabled(a: boolean);
    private ae;
    get isGroupRowSticky(): boolean;
    set isGroupRowSticky(a: boolean);
    private af;
    get isHeaderSeparatorVisible(): boolean;
    set isHeaderSeparatorVisible(a: boolean);
    private bm;
    get cellSelectedBackground(): string;
    set cellSelectedBackground(a: string);
    private cl;
    get sectionHeaderSelectedBackground(): string;
    set sectionHeaderSelectedBackground(a: string);
    private au;
    get pinnedRowOpacity(): number;
    set pinnedRowOpacity(a: number);
    private cu;
    get stickyRowBackground(): string;
    set stickyRowBackground(a: string);
    private ce;
    get pinnedRowBackground(): string;
    set pinnedRowBackground(a: string);
    private cd;
    get lastStickyRowBackground(): string;
    set lastStickyRowBackground(a: string);
    private t;
    get activeCell(): GridCellPositionDescription;
    set activeCell(a: GridCellPositionDescription);
    private bf;
    get cellBackground(): string;
    set cellBackground(a: string);
    private bo;
    get cellTextColor(): string;
    set cellTextColor(a: string);
    private b9;
    get headerSortIndicatorColor(): string;
    set headerSortIndicatorColor(a: string);
    private ca;
    get headerSortIndicatorStyle(): string;
    set headerSortIndicatorStyle(a: string);
    private _cellFontFamily;
    get cellFontFamily(): string;
    set cellFontFamily(a: string);
    private _cellFontSize;
    get cellFontSize(): number;
    set cellFontSize(a: number);
    private _cellFontStyle;
    get cellFontStyle(): string;
    set cellFontStyle(a: string);
    private _cellFontWeight;
    get cellFontWeight(): string;
    set cellFontWeight(a: string);
    private ck;
    get sectionHeaderBackground(): string;
    set sectionHeaderBackground(a: string);
    private cm;
    get sectionHeaderTextColor(): string;
    set sectionHeaderTextColor(a: string);
    private _sectionHeaderFontFamily;
    get sectionHeaderFontFamily(): string;
    set sectionHeaderFontFamily(a: string);
    private _sectionHeaderFontSize;
    get sectionHeaderFontSize(): number;
    set sectionHeaderFontSize(a: number);
    private _sectionHeaderFontStyle;
    get sectionHeaderFontStyle(): string;
    set sectionHeaderFontStyle(a: string);
    private _sectionHeaderFontWeight;
    get sectionHeaderFontWeight(): string;
    set sectionHeaderFontWeight(a: string);
    private a3;
    get headerSeparatorWidth(): number;
    set headerSeparatorWidth(a: number);
    private b8;
    get headerSeparatorBackground(): string;
    set headerSeparatorBackground(a: string);
    private b6;
    get headerBackground(): string;
    set headerBackground(a: string);
    private cb;
    get headerTextColor(): string;
    set headerTextColor(a: string);
    private _headerFontFamily;
    get headerFontFamily(): string;
    set headerFontFamily(a: string);
    private _headerFontSize;
    get headerFontSize(): number;
    set headerFontSize(a: number);
    private _headerFontStyle;
    get headerFontStyle(): string;
    set headerFontStyle(a: string);
    private _headerFontWeight;
    get headerFontWeight(): string;
    set headerFontWeight(a: string);
    private cg;
    get rowSeparatorBackground(): string;
    set rowSeparatorBackground(a: string);
    private cj;
    get rowSeparatorStickyRowBackground(): string;
    set rowSeparatorStickyRowBackground(a: string);
    private ch;
    get rowSeparatorLastStickyRowBackground(): string;
    set rowSeparatorLastStickyRowBackground(a: string);
    private ci;
    get rowSeparatorPinnedRowBackground(): string;
    set rowSeparatorPinnedRowBackground(a: string);
    private a1;
    get columnResizingSeparatorWidth(): number;
    set columnResizingSeparatorWidth(a: number);
    private a0;
    get columnMovingSeparatorWidth(): number;
    set columnMovingSeparatorWidth(a: number);
    private by;
    get columnResizingSeparatorBackground(): string;
    set columnResizingSeparatorBackground(a: string);
    private bu;
    get columnMovingSeparatorBackground(): string;
    set columnMovingSeparatorBackground(a: string);
    private ad;
    get isGroupCollapsable(): boolean;
    set isGroupCollapsable(a: boolean);
    private b5;
    get groupHeaderDisplayMode(): string;
    set groupHeaderDisplayMode(a: string);
    private i;
    get primaryKey(): string[];
    set primaryKey(a: string[]);
    private f;
    get actualPrimaryKey(): string[];
    set actualPrimaryKey(a: string[]);
    private aj;
    get reactsToSortChanges(): boolean;
    set reactsToSortChanges(a: boolean);
    private ai;
    get reactsToGroupChanges(): boolean;
    set reactsToGroupChanges(a: boolean);
    private ah;
    get reactsToFilterChanges(): boolean;
    set reactsToFilterChanges(a: boolean);
    private b3;
    get filterExpressionsChangingRef(): string;
    set filterExpressionsChangingRef(a: string);
    private b2;
    get filterExpressionsChangedRef(): string;
    set filterExpressionsChangedRef(a: string);
    private bk;
    get cellPreviewPointerDownRef(): string;
    set cellPreviewPointerDownRef(a: string);
    private bl;
    get cellPreviewPointerUpRef(): string;
    set cellPreviewPointerUpRef(a: string);
    private bi;
    get cellPointerDownRef(): string;
    set cellPointerDownRef(a: string);
    private bj;
    get cellPointerUpRef(): string;
    set cellPointerUpRef(a: string);
    private bg;
    get cellClickedRef(): string;
    set cellClickedRef(a: string);
    private ct;
    get sortDescriptionsChangedRef(): string;
    set sortDescriptionsChangedRef(a: string);
    private b4;
    get groupDescriptionsChangedRef(): string;
    set groupDescriptionsChangedRef(a: string);
    private bz;
    get columnsAutoGeneratedRef(): string;
    set columnsAutoGeneratedRef(a: string);
    private cp;
    get selectedItemsChangedRef(): string;
    set selectedItemsChangedRef(a: string);
    private cq;
    get selectedKeysChangedRef(): string;
    set selectedKeysChangedRef(a: string);
    private co;
    get selectedCellsChangedRef(): string;
    set selectedCellsChangedRef(a: string);
    private bd;
    get activeCellChangedRef(): string;
    set activeCellChangedRef(a: string);
    private cn;
    get selectedCellRangesChangedRef(): string;
    set selectedCellRangesChangedRef(a: string);
}
